+++
title = "So how do I back up?"
description = "Backups are a contentions and complicated subject, but these simple rules should help guide you."
weight = 3
type = "post"
+++

1. Always back up in _some way_. While a copy of the data on the same array won't protect you against all problems, it will protect you against some.
2. A _backup on the same server_ is susceptable to the _same failures as the original data_ set (hardware failure, natural disasters, and the like).
3. A good rule of thumb is _three copies_ (the RAID is only one copy for this purpose): the _original_, one _onsite copy_, and one _offsite copy_. Store the offsite copy in the cloud, or at a friend's house.
4. _Make backups regularly_, at least once a week; the day you need a backup is the day you realize you hadn't run it in 6 months and what you need isn't backed up.
5. _Test backups regularly_, at least once a month; _a backup is worthless if you can't restore from it_. Just because you have a backup doesn't mean you're protected; always test them.

There are dozens of backup utilities out there; I'm not going to prosthelytize for any one of them, but I personally use [BackupPC](http://backuppc.sourceforge.net/) for my server and workstation backups.
